### Method

# Secret Service set_alias

#### Declaration [src]

    void
    secret_service_set_alias (
      SecretService* service,
      const gchar* alias,
      SecretCollection* collection,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Assign a collection to this alias.

Aliases help determine well known collections, such as ‘default’.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

#### Parameters

`alias`

  Type: `const gchar*`

  The alias to assign the collection to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`collection`

  Type: `SecretCollection`

  The collection to assign to the alias.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.